#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include<stdio.h>
	#include<math.h>


void
on_window1_destroy                     (GtkObject       *object,
                                        gpointer         user_data)
{
gtk_main_quit();
}


void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
/* Creamos un puntero de tipo GtkWidget llamado entrada_numerica que apunta a spin_button1 */
GtkWidget * entrada_numerica = lookup_widget(GTK_WIDGET(button),"spin_button1");

/* Creamos un puntero de tipo GtkWidget llamado etiqueta que apunta a label2 */
GtkWidget * etiqueta = lookup_widget(GTK_WIDGET(button),"label2");

/* Creamos un vector de tipo cadena para guardar el número como una cadena de caracteres */
gchar eti[50];

gdouble x;	
	
/* Obtenemos el valor del spin_button */
x=gtk_spin_button_get_value(entrada_numerica);

/* sprintf pasa el número a la cadena de caracteres */
sprintf(eti,"%e\n", x);

/* gtk_label_set_text escribe eti en label2, usando el puntero etiqueta */
gtk_label_set_text(GTK_LABEL(etiqueta),eti);


	
	

	
	
}


void
on_button2_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
gtk_main_quit();
}
